> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aspect.systems/llms.txt
> Use this file to discover all available pages before exploring further.

# Show Entry

> Retrieve a specific entry by its ID.



## OpenAPI

````yaml /endpoints/openapi.json get /v1/organizations/{organization}/entries/{id}
openapi: 3.1.0
info:
  title: Aspect Systems
  version: 0.0.1
servers:
  - url: https://api.aspect-dev.systems
    description: Development
  - url: https://api.aspect.systems
    description: Production
security:
  - http: []
tags:
  - name: Authentication
  - name: Organizations
  - name: Divisions
  - name: Slots
  - name: Rates
  - name: Reservations
  - name: Entries
  - name: Memberships
paths:
  /v1/organizations/{organization}/entries/{id}:
    get:
      tags:
        - Entries
      summary: Show Entry
      description: Retrieve a specific entry by its ID.
      operationId: partner.entries.show
      parameters:
        - name: organization
          in: path
          required: true
          schema:
            type: string
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: include
          in: query
          description: >-
            Available includes are `division`, `slot`, `reservation`,
            `membership`. You can include multiple options by separating them
            with a comma.
          schema:
            type: string
      responses:
        '200':
          description: '`Entry`'
          content:
            application/vnd.api+json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/Entry'
                  included:
                    type: array
                    items:
                      anyOf:
                        - $ref: '#/components/schemas/Division'
                        - $ref: '#/components/schemas/Slot'
                        - $ref: '#/components/schemas/Reservation'
                        - $ref: '#/components/schemas/Membership'
                required:
                  - data
        '403':
          $ref: '#/components/responses/AuthorizationException'
components:
  schemas:
    Entry:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - entries
        attributes:
          type: object
          properties:
            id:
              type: string
              description: ID of the entry.
              examples:
                - '310476121357873159'
            parent_id:
              type:
                - string
                - 'null'
              description: >-
                ID of the parent entry if this entry is part of a bundle or a
                ticket series.
              examples:
                - '310476121357873160'
            code:
              type: string
              description: Unique code of the entry.
              examples:
                - ABC123
            state:
              $ref: '#/components/schemas/EntryState'
              description: The current state of the entry.
            first_name:
              type:
                - string
                - 'null'
              description: First name of the attendee for this entry.
              examples:
                - John
            last_name:
              type:
                - string
                - 'null'
              description: Last name of the attendee for this entry.
              examples:
                - Doe
            offering_type:
              type: string
              description: Type of offering.
              enum:
                - ticket
                - bundle
            offering_id:
              type: string
              description: ID of the offering.
              examples:
                - '310476121357873155'
            offering_name:
              type: string
              description: Name of the offering.
              examples:
                - Green Fee
            price:
              type:
                - integer
                - 'null'
              description: >-
                Price for this entry, in cents (`null` if part of a bundle or a
                ticket series).
              examples:
                - 5000
            created_at:
              type: string
              description: Timestamp when the entry was created.
              examples:
                - '2025-01-15T10:30:00Z'
            updated_at:
              type: string
              description: Timestamp when the entry was last updated.
              examples:
                - '2025-01-15T14:30:00Z'
          required:
            - id
            - parent_id
            - code
            - state
            - first_name
            - last_name
            - offering_type
            - offering_id
            - offering_name
            - price
            - created_at
            - updated_at
        relationships:
          type: object
          properties:
            division:
              type: object
              properties:
                data:
                  anyOf:
                    - $ref: '#/components/schemas/DivisionResourceIdentifier'
                    - type: 'null'
              required:
                - data
            slot:
              type: object
              properties:
                data:
                  anyOf:
                    - $ref: '#/components/schemas/SlotResourceIdentifier'
                    - type: 'null'
              required:
                - data
            reservation:
              type: object
              properties:
                data:
                  anyOf:
                    - $ref: '#/components/schemas/ReservationResourceIdentifier'
                    - type: 'null'
              required:
                - data
            membership:
              type: object
              properties:
                data:
                  anyOf:
                    - $ref: '#/components/schemas/MembershipResourceIdentifier'
                    - type: 'null'
              required:
                - data
      required:
        - id
        - type
      title: Entry
    Division:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - divisions
        attributes:
          type: object
          properties:
            id:
              type: string
              description: ID of the division.
              examples:
                - '310476121357873158'
            name:
              type: string
              description: Name of the division.
              examples:
                - Golf
            industry:
              $ref: '#/components/schemas/DivisionIndustry'
              description: Industry of the division.
          required:
            - id
            - name
            - industry
      required:
        - id
        - type
      title: Division
    Slot:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - slots
        attributes:
          type: object
          properties:
            id:
              type: string
              description: ID of the slot.
              examples:
                - '310476121357873156'
            date_time:
              type: string
              description: Date and time of the slot in ISO 8601 format.
              examples:
                - '2025-05-01T06:00:00-04:00'
            state:
              $ref: '#/components/schemas/SlotState'
              description: State of the slot.
            remaining_capacity:
              type:
                - integer
                - 'null'
              description: Number of free spots (`null` means there's no limit).
          required:
            - id
            - date_time
            - state
            - remaining_capacity
        relationships:
          type: object
          properties:
            division:
              type: object
              properties:
                data:
                  anyOf:
                    - $ref: '#/components/schemas/DivisionResourceIdentifier'
                    - type: 'null'
              required:
                - data
            location:
              type: object
              properties:
                data:
                  anyOf:
                    - $ref: '#/components/schemas/LocationResourceIdentifier'
                    - type: 'null'
              required:
                - data
            schedule:
              type: object
              properties:
                data:
                  anyOf:
                    - $ref: '#/components/schemas/ScheduleResourceIdentifier'
                    - type: 'null'
              required:
                - data
            rates:
              type: object
              properties:
                data:
                  type: array
                  items:
                    $ref: '#/components/schemas/SlotRateResourceIdentifier'
              required:
                - data
            tags:
              type: object
              properties:
                data:
                  type: array
                  items:
                    $ref: '#/components/schemas/TagResourceIdentifier'
              required:
                - data
            entries:
              type: object
              properties:
                data:
                  type: array
                  items:
                    $ref: '#/components/schemas/EntryResourceIdentifier'
              required:
                - data
      required:
        - id
        - type
      title: Slot
    Reservation:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - reservations
        attributes:
          type: object
          properties:
            id:
              type: string
              description: ID of the reservation.
              examples:
                - '310476121357873156'
            code:
              type: string
              description: Unique code of the reservation.
              examples:
                - ABC1234
            state:
              $ref: '#/components/schemas/ReservationState'
              description: Current state of the reservation.
            channel:
              anyOf:
                - $ref: '#/components/schemas/ReservationChannel'
                  description: Booking channel used for this reservation.
                - type: 'null'
            start_at:
              type: string
              description: Start time of the reservation.
              examples:
                - '2025-01-15T10:00:00-04:00'
            subtotal:
              type: integer
              description: Subtotal of the reservation, in cents (taxes excluded).
              examples:
                - 5000
            total:
              type: integer
              description: Total of the reservation, in cents (taxes included).
              examples:
                - 5000
            created_at:
              type: string
              description: Timestamp when the reservation was created.
              examples:
                - '2025-01-15T08:30:00Z'
            updated_at:
              type: string
              description: Timestamp when the reservation was last updated.
              examples:
                - '2025-01-15T08:30:00Z'
          required:
            - id
            - code
            - state
            - channel
            - start_at
            - subtotal
            - total
            - created_at
            - updated_at
        relationships:
          type: object
          properties:
            customer:
              type: object
              properties:
                data:
                  anyOf:
                    - $ref: '#/components/schemas/CustomerResourceIdentifier'
                    - type: 'null'
              required:
                - data
            division:
              type: object
              properties:
                data:
                  anyOf:
                    - $ref: '#/components/schemas/DivisionResourceIdentifier'
                    - type: 'null'
              required:
                - data
            entries:
              type: object
              properties:
                data:
                  type: array
                  items:
                    $ref: '#/components/schemas/EntryResourceIdentifier'
              required:
                - data
      required:
        - id
        - type
      title: Reservation
    Membership:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - memberships
        attributes:
          type: object
          properties:
            id:
              type: string
              description: ID of the membership.
              examples:
                - '310476121357873161'
            name:
              type: array
              description: Name of the membership.
              examples:
                - Premium Membership
              items: {}
            type:
              type: string
              description: Type of the membership.
              enum:
                - public
                - member
          required:
            - id
            - name
            - type
        relationships:
          type: object
          properties:
            division:
              type: object
              properties:
                data:
                  anyOf:
                    - $ref: '#/components/schemas/DivisionResourceIdentifier'
                    - type: 'null'
              required:
                - data
      required:
        - id
        - type
      title: Membership
    EntryState:
      type: string
      enum:
        - canceled
        - checkedIn
        - confirmed
        - invalid
        - late
        - noShow
        - pending
      title: EntryState
    DivisionResourceIdentifier:
      type: object
      properties:
        type:
          type: string
          enum:
            - divisions
        id:
          type: string
      required:
        - type
        - id
      title: DivisionResourceIdentifier
    SlotResourceIdentifier:
      type: object
      properties:
        type:
          type: string
          enum:
            - slots
        id:
          type: string
      required:
        - type
        - id
      title: SlotResourceIdentifier
    ReservationResourceIdentifier:
      type: object
      properties:
        type:
          type: string
          enum:
            - reservations
        id:
          type: string
      required:
        - type
        - id
      title: ReservationResourceIdentifier
    MembershipResourceIdentifier:
      type: object
      properties:
        type:
          type: string
          enum:
            - memberships
        id:
          type: string
      required:
        - type
        - id
      title: MembershipResourceIdentifier
    DivisionIndustry:
      type: string
      enum:
        - golf
        - indoorGolf
        - snowTubing
        - curling
        - eventManagement
        - other
      title: DivisionIndustry
    SlotState:
      type: string
      enum:
        - active
        - locked
        - hidden
      title: SlotState
    LocationResourceIdentifier:
      type: object
      properties:
        type:
          type: string
          enum:
            - locations
        id:
          type: string
      required:
        - type
        - id
      title: LocationResourceIdentifier
    ScheduleResourceIdentifier:
      type: object
      properties:
        type:
          type: string
          enum:
            - schedules
        id:
          type: string
      required:
        - type
        - id
      title: ScheduleResourceIdentifier
    SlotRateResourceIdentifier:
      type: object
      properties:
        type:
          type: string
          enum:
            - rates
        id:
          type: string
      required:
        - type
        - id
      title: SlotRateResourceIdentifier
    TagResourceIdentifier:
      type: object
      properties:
        type:
          type: string
          enum:
            - tags
        id:
          type: string
      required:
        - type
        - id
      title: TagResourceIdentifier
    EntryResourceIdentifier:
      type: object
      properties:
        type:
          type: string
          enum:
            - entries
        id:
          type: string
      required:
        - type
        - id
      title: EntryResourceIdentifier
    ReservationState:
      type: string
      enum:
        - pending
        - paid
        - free
        - included
        - partiallyPaid
        - refunded
        - partiallyRefunded
        - canceled
      title: ReservationState
    ReservationChannel:
      type: string
      enum:
        - online
        - inStore
        - application
        - partner
      title: ReservationChannel
    CustomerResourceIdentifier:
      type: object
      properties:
        type:
          type: string
          enum:
            - customers
        id:
          type: string
      required:
        - type
        - id
      title: CustomerResourceIdentifier
  responses:
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````